Bug Hunting Session
Bug 103876 - PPTX import: Title shape's character properties are wrong.
Summary: PPTX import: Title shape's character properties are wrong.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-11 21:52 UTC by Tamás Zolnai
Modified: 2016-11-27 09:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file: title shape with some formatting. (28.89 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-11-11 21:54 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2016-11-11 21:52:42 UTC
Description:
After opening the attached PPTX file, title shape on the first slide has also wrong text alignment (left) and wrong text color (black).

Steps to Reproduce:
1. Open attached PPTX file

Actual Results:  
I see the "Click to add Title" text aligned to left horizontally and with black text color.

Expected Results:
I should see the "Click to add Title" text aligned to center horizontally and with red text color.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.99 Safari/537.36
Comment 1 Tamás Zolnai 2016-11-11 21:54:01 UTC
Created attachment 128675 [details]
Test file: title shape with some formatting.
Comment 2 Xisco Faulí 2016-11-12 01:22:50 UTC
Confirmed in

Version: 5.3.0.0.alpha1+
Build ID: 60da087d7e182b58b63d4123c9bd96c82376d450
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Commit Notification 2016-11-17 18:03:00 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c7f3e4a7190bf9821bed102f96a926c9a894e59

tdf#103876: PPTX import: Title shape's character properties are wrong

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Cor Nouws 2016-11-18 13:10:59 UTC
Indeed, works OK now
in Version: 5.3.0.0.alpha1+
Build ID: 43b5ca69aa545cf93eded55258d92d651917815f
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-11-18_05:17:53
Locale: nl-NL (nl_NL.UTF-8); Calc: group

NB: selecting the shape, pressing F2 adn then ESC, makes the red text change in small black, left under. Both before and after the fix.
Comment 5 Commit Notification 2016-11-26 20:34:34 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f75d03bd90b27034a69c47f5413ec013dafc97c6&h=libreoffice-5-2

tdf#103876: PPTX import: Title shape's character properties are wrong

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.